Bug 47165 - Using the same module name in command line mode causes NPE
Using the same module name in command line mode causes NPE
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: HTTP
2.3.2
PC Windows Vista
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-05-07 09:42 UTC by Deepak Shetty
Modified: 2013-08-07 09:10 UTC (History)
0 users



Attachments
Sample script to simulate the problem (7.13 KB, application/octet-stream)
2009-05-07 09:42 UTC, Deepak Shetty
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Deepak Shetty 2009-05-07 09:42:39 UTC
Created attachment 23625 [details]
Sample script to simulate the problem

If the test includes Module Controllers having the same name and the Test is run on the command line , the test fails with a 
  [jmeter] Uncaught Exception java.lang.NullPointerException. See log file for details.

The Log 
2009/05/07 09:31:48 ERROR - jmeter.engine.StandardJMeterEngine: Uncaught exception:  java.lang.NullPointerException
	at org.apache.jorphan.collections.HashTree.traverseInto(HashTree.java:976)
	at org.apache.jorphan.collections.HashTree.traverseInto(HashTree.java:976)
	at org.apache.jorphan.collections.HashTree.traverseInto(HashTree.java:976)
	at org.apache.jorphan.collections.HashTree.traverse(HashTree.java:959)
	at org.apache.jmeter.engine.StandardJMeterEngine.run(StandardJMeterEngine.java:337)
	at java.lang.Thread.run(Thread.java:595)

Note this doesn't happen when running in GUI mode. This does not happen if the Module Controller is named differently.
Comment 1 Sebb 2009-05-07 16:54:43 UTC
Thanks for the report.

As far as I can tell, I have fixed it in the following change:

URL: http://svn.apache.org/viewvc?rev=772819&view=rev
Log:
Bug 47165 - Using the same module name in command line mode causes NPE
Comment 2 Sebb 2013-08-07 09:10:05 UTC
URL: http://svn.apache.org/r1511216
Log:
Add test for Bug 47165 to guard against regression

Added:
    jmeter/trunk/bin/testfiles/Bug47165.csv   (with props)
    jmeter/trunk/bin/testfiles/Bug47165.jmx   (with props)
    jmeter/trunk/bin/testfiles/Bug47165.xml   (with props)
Modified:
    jmeter/trunk/build.xml